sfcode An Online Competing and Development Environment

Variables
execute.php File Reference

## Variables
| $postData = file_get_contents("php://input")
| $uname = $postData['file']['username']
| $filename = $postData['file']['filename']
| $language = $postData['file']['language']
| $input_data = $postData['input_data']
| $ret_stat = 0
| $template = strval(rand(1, 1000000))
| $in_fname = "../users/" . $uname . "/" . "temp_in" . $template
| $file = fopen($in_fname, 'w')
| $out_fname = "../users/" . $uname . "/" . "temp_out" . $template
if(strcmp($language, ".cpp")==0) else if(strcmp($language, ".java")==0) else if(strcmp($language, ".py")==0) if($ret_stat !=0) | else

## Variable Documentation

## ◆ $file

$file = fopen($in_fname, 'w')

## ◆ $filename

$filename = $postData['file']['filename']

## ◆ $in_fname

$in_fname = "../users/" . $uname . "/" . "temp_in" . $template

## ◆ $input_data

$input_data = $postData['input_data']

## ◆ $language

$language = $postData['file']['language']

## ◆ $out_fname

$out_fname = "../users/" . $uname . "/" . "temp_out" . $template

## ◆ $postData

$postData = file_get_contents("php://input")

## ◆ $ret_stat

$ret_stat = 0

## ◆ $template

$template = strval(rand(1, 1000000))

## ◆ $uname

$uname = $postData['file']['username']

## ◆ else

if (filesize( $out_fname)==0) else

Initial value:
{
$file = fopen($out_fname, 'r')
$out_fname
$out_fname
Definition: execute.php:26
$file
$file
Definition: execute.php:22